Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class TaggedRequest

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.TaggedRequest

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class TaggedRequest
extends ASN1Object
implements ASN1Choice

TaggedRequest ::= CHOICE { tcr [0] TaggedCertificationRequest, crm [1] CertReqMsg, orm [2] SEQUENCE { bodyPartID BodyPartID, requestMessageType OBJECT IDENTIFIER, requestMessageValue ANY DEFINED BY requestMessageType } }

Field Summary
`static int` | `CRM`
`static int` | `ORM`
`static int` | `TCR`

Constructor Summary
`TaggedRequest(CertReqMsg crm)`
`TaggedRequest(TaggedCertificationRequest tcr)`

Method Summary
`static TaggedRequest` | `getInstance(java.lang.Object obj)`
`int` | `getTagNo()`
`ASN1Encodable` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TCR

    public static final int TCR

See Also:
  Constant Field Values

### CRM

    public static final int CRM

See Also:
  Constant Field Values

### ORM

    public static final int ORM

See Also:
  Constant Field Values

Constructor Detail

### TaggedRequest

    public TaggedRequest(TaggedCertificationRequest tcr)

### TaggedRequest

    public TaggedRequest(CertReqMsg crm)

Method Detail

### getInstance

    public static TaggedRequest getInstance(java.lang.Object obj)

### getTagNo

    public int getTagNo()

### getValue

    public ASN1Encodable getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD